## wlroots-0.16 0.16.2

=== debian/changelog ===
wlroots-0.16 (0.16.2-2pureos2) crimson; urgency=medium

  * Rename to wlroots-0.16
    This way we can reupload the original Debian package to unbreak
    dependencies on libwlroots10 present in Debian bookworm.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 19 Mar 2025 06:22:20 +0100

wlroots (0.16.2-2pureos1) crimson; urgency=medium

  * Upload to crimson
  * d/patches: Drop all patches to work with older dependencies

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Aug 2023 20:29:19 +0200

wlroots (0.16.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Jul 2023 16:41:50 +0200

wlroots (0.16.2-1) experimental; urgency=medium

  * New upstream release
  * [ed00fc6] Drop patches contained in the release
  * Make autopkgtest a shell script. Thanks Andreas Henriksson
    for the review.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Feb 2023 15:25:33 +0100

wlroots (0.16.1-2) experimental; urgency=medium

  * [d707bc2] libwlroots-dev: Depend on vulkan development package
    (Closes: #1030240)
  * [d4e58a8] Switch dependency from libegl1-mesa to libegl
  * [19386fa] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Feb 2023 16:57:22 +0100

wlroots (0.16.1-1) experimental; urgency=medium

  [ Guido Günther ]
  * New upstream release
    (Closes: #1027682)
  * [cb91b99] Drop patches applied upstream
  * [16358a9] Backport a patch from upstream's 0.16 branch
    to fix an XWayland crash.

  [ Birger Schacht ]
  * [fb08e6c] Add required Build-Dependencies to enable vulkan renderer
    (Closes: #1028910)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 17 Jan 2023 11:57:52 +0100

wlroots (0.16.0-2) experimental; urgency=medium

  * [17dcb12] Fix compilation due to uninitialized values on some
    architectures.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Nov 2022 13:50:49 +0100

wlroots (0.16.0-1) experimental; urgency=medium

  * Upload to experimental
  * [aac440c] New upstream release
  * [e8cf5bd] d/gbp.conf: Use upstream-vcs
  * [bea6239] d/watch: Project moved to fdo gitlab
  * [e7033ad] Adjust to new soname
  * [b9ef4e6] d/control: Update build-dependencies
  * [5054262] Refresh patches. Drop those applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 23 Nov 2022 16:20:46 +0100

wlroots (0.15.1-3) unstable; urgency=medium

  * [01320b4] Backport upstream patch to fix build with ffmpeg 5.0
    (Closes: #1004792)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Jun 2022 11:54:33 +0200

wlroots (0.15.1-2pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 08 Aug 2022 16:05:30 +0200

wlroots (0.15.1-2pureos1~oct3) octarine; urgency=medium

  [ Guido Günther ]
  * [7f5d0f5] d/shlibs: Generate a stricter dependency

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 02 Jun 2022 04:23:41 +0200

wlroots (0.15.1-2pureos1~oct2) octarine; urgency=medium

  * [c664d48] seat: Allow to cancel touches.
    This adds wlr_seat_touch_notify_cancel() to be used by compositors to
    cancel touch gestures.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 24 May 2022 11:51:19 +0200

wlroots (0.15.1-2pureos1~oct1) octarine; urgency=medium

  * Upload to octarine
  * [3073337] debian: Revert meson, libdrm and wayland dependencies to versions in byzantium
  * [524c195] d/rules: Don't try to build vulkan renderer

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 09 May 2022 01:10:35 +0200

wlroots (0.15.1-2) unstable; urgency=medium

  * [d2f0630] xdg-activation: Deduplicate token creation code
    Backport a (not yet merged) MR to fix a crash in the
    xdg-activation code.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Mar 2022 19:34:50 +0100

wlroots (0.15.1-1) unstable; urgency=medium

  * Upload to unstable
  * d/control: Fix typo (Closes: #984583)
  * d/copyright: Fix source URL
  * d/control: Fix homepage URL.
    Project moved to gitlab (Closes: #1001154)
  * New upstream version (Closes: #1005892)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Mar 2022 11:57:45 +0100

wlroots (0.15.0-3) experimental; urgency=medium

  * [f909925] d/control: Bump meson and wayland-protocol dependencies.
    Adjust to what the project requires (Closes: #966176)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Mar 2022 15:11:32 +0100

wlroots (0.15.0-2) experimental; urgency=medium

  * [7c01dd7] Use libdrm 2.4.109.
    This allows us to drop the reverted upstream change.
  * [1784c6e] Use wayland 1.20.
    This allows us to revert the reverted upstream change
  * [f60b70a] Bump standards version
  * [838be17] d/copyright: Drop unused pattern

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Feb 2022 15:25:46 +0100

wlroots (0.15.0-1) experimental; urgency=medium

  * New upstream release
  * [bb15cc9] d/control: Bump build-deps according to meson dependencies
  * [bf804d6] Rediff patches
  * [c551f31] d/rules: Enable all optional backends
  * [1d55195] Adjust to soname bump
  * Use headless backend in tests
  * Revert several patches so we can build against libdrm and libwayland
    currently in Debian.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Dec 2021 15:15:52 +0100

wlroots (0.14.1-5pureos3) byzantium; urgency=medium

  * [3082f86] debian: Bump shlibs dependency

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 16 Mar 2022 04:26:01 +0100

wlroots (0.14.1-5pureos2) byzantium; urgency=medium

  * [23054fa] d/patches: xdg-activation: Allow to submit tokens
  * [a3bdb50] d/patches: wlr_output: Don't leak format
  * [c78bd35] d/patches: wlr_output_layout_contains_point: handle outputs that aren't in the layout

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 15 Mar 2022 03:53:21 +0100

wlroots (0.14.1-5pureos1) byzantium; urgency=medium

  * Upload to byzantium
  * [5673ab9] d/control: Depend on recent mesa and libglvnd

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 08 Mar 2022 12:58:23 +0100

