=== debian/tests/control ===
Tests: build-test
Depends: libwlroots-0.16-dev, build-essential, pkg-config
Restrictions: allow-stderr, superficial
